﻿/*
Theme Name: Disputo Child
Theme URI: https://themeforest.net/user/egemenerd/portfolio?ref=egemenerd
Description: Disputo Child Theme
Author: Egemenerd
Author URI: http://themeforest.net/user/egemenerd?ref=egemenerd
Template: disputo
Version: 1.0
*/

/*********************************
** Fonts
*********************************/

@font-face {
    font-family: "Open Sans";
    src: url("custom-fonts/OpenSans-Light.woff2") format("woff2"),
        url("custom-fonts/OpenSans-Light.woff") format("woff");
    font-weight: 300;
}

@font-face {
    font-family: "Open Sans";
    src: url("custom-fonts/OpenSans-Regular.woff2") format("woff2"),
        url("custom-fonts/OpenSans-Regular.woff") format("woff");
    font-weight: normal;
}

@font-face {
    font-family: "Open Sans";
    src: url("custom-fonts/OpenSans-Medium.woff2") format("woff2"),
        url("custom-fonts/OpenSans-Medium.woff") format("woff");
    font-weight: 500;
}

@font-face {
    font-family: "Open Sans";
    src: url("custom-fonts/OpenSans-SemiBold.woff2") format("woff2"),
        url("custom-fonts/OpenSans-SemiBold.woff") format("woff");
    font-weight: 600;
}

@font-face {
    font-family: "Open Sans";
    src: url("custom-fonts/OpenSans-Bold.woff2") format("woff2"),
        url("custom-fonts/OpenSans-Bold.woff") format("woff");
    font-weight: 700;
}

@font-face {
    font-family: "Open Sans";
    src: url("custom-fonts/OpenSans-ExtraBold.woff2") format("woff2"),
        url("custom-fonts/OpenSans-ExtraBold.woff") format("woff");
    font-weight: 800;
}

/* Font-Family */
h1,
h2,
h3,
h4,
h5,
h6,
p,
a,
span {
    font-family: "Open Sans", Sans-serif !important;
}

/* Nav Layout */
#disputo-main-menu-wrapper {
    padding-left: 30px !important;
    padding-right: 30px !important;
}

.navbar .container {
    max-width: 100% !important;
    padding: 0 !important;
}

/* nav bg */
nav.bg-transparent {
    background-color: rgb(255, 255, 255) !important;
    box-shadow: 0 0 7px rgba(0, 0, 0, .1) !important;
}

/* Nav Link */
.bg-transparent .navbar-nav .nav-link {
    color: #203254;
    font-size: 16px;
    text-transform: uppercase;
    line-height: 16px;
    font-weight: 600 !important;
    padding: 18px 1rem !important;
}

.bg-transparent .navbar-nav .nav-link:hover {
    color: rgba(20, 32, 45, 0.7);
}

/* Nav Active Link */
.bg-transparent .navbar-nav .nav-link.active {
    color: #ffb612 !important;
}

/* Nav Hover */
#disputo-main-menu>ul>li:hover::before,
#disputo-main-menu>ul>li.disputo-active-menu-item::before {
    background: #ffb612 !important;
}

/* Login-Button Nav */
#disputo-top-bar-btn {
    border: 1px solid #FFB612;
    border-radius: 2px;
    box-shadow: 0 0 2px 0 rgba(0, 0, 0, 0.12), 0 2px 2px 0 rgba(0, 0, 0, 0.24);
    font-weight: bold;
    color: #fff;
    text-transform: uppercase;
    display: block;
}

#disputo-top-bar-btn:hover {
    color: #ffb612;
}

#disputo-header-btns {
    margin-left: 18px;
}

/* Title-Img */
#disputo-page-title-img {
    background-position: top center !important;
}

/* Subtitle */
.disputo-page-title p {
    font-style: normal !important;
}

/* BBPress Header-Suche */
#bbp-header-search-form input[type="text"],
.disputo-live-search-box {
    background-color: rgba(255, 255, 255, 0.85) !important;
}

#bbp-header-search-form input[type="text"]:focus,
#bbp-header-search-form input[type="text"]::placeholder,
.disputo-live-search-box,
.disputo-live-search-box::placeholder {
    color: #003c69 !important;
}

/* Support-Forum und Releases-Forum Hinweise ausblenden */
.postid-55 .bbp-template-notice,
.postid-55 #forum-closed-55,
.postid-50 .bbp-template-notice,
.postid-50 #forum-closed-55 {
    display: none;
}

.postid-55 .bbp-template-notice.info,
.postid-50 .bbp-template-notice.info {
    display: block;
}

/* Antworten, Neues-Thema */
.bbp-topic-form,
.bbp-reply-form,
.bbp-login-form {
    padding: 5% 10%;
    background-color: #003c69;
}

.bbp-topic-form legend,
.bbp-topic-form p,
.bbp-topic-form label,
.bbp-reply-form legend,
.bbp-reply-form p,
.bbp-reply-form label,
.bbp-login-form legend,
.bbp-login-form p,
.bbp-login-form label {
    color: #fff !important;
}

.bbp-topic-form .button.submit,
.bbp-reply-form .button.submit,
.bbp-login-form .button.submit {
    background-color: #ffb612 !important;
    border: 2px solid #ffb612;
}

.bbp-topic-form .button.submit:hover,
.bbp-reply-form .button.submit:hover,
.bbp-login-form .button.submit:hover {
    background-color: #616B8B !important;
}

/* Home Padding */
.home main .container {
    height: 0;
}

.home #disputo-main-inner.nomargin,
.home #disputo-footer {
    margin: 0 !important;
}

/* Footer */
.disputo-social-icons li a {
    width: 50px !important;
    height: auto !important;
    line-height: normal !important;
    font-size: 1.5rem !important;
    border: none;
}

.footer-links ul {
    display: flex;
    margin: 0 !important;
    list-style-type: none;
    padding: 0 !important;
}

.footer-links li {
    text-align: center;
    flex: 1;
}

#disputo-footer {
    font-size: 14px;
}

#disputo-footer-bottom,
#disputo-footer-bottom .container,
#disputo-footer-bottom .col-12 {
    padding: 3.5px 0 !important;
}

#disputo-footer-bottom .container {
    max-width: 1140px;
}

#disputo-footer-bottom .container .row {
    margin: 0 !important;
}

#disputo-go-to-top {
    display: none;
}

.disputo-social-icons li a:hover {
    background: inherit;
}

/* Selection */
::selection {
    background: #ffb612;
    color: #fff;
}

/* Header */
header .container.navbar-expand-lg .navbar-nav .nav-link {
    padding-right: 0.75rem;
    padding-left: 0.75rem;
    font-size: 16px;
}

/* FAQ */
.disputo-faq-right .disputo-live-search-box {
    padding: 1.20rem 1rem !important;
}

.disputo-faq-right .disputo-live-search-icon {
    line-height: 1.3 !important;
}

/* Hero Titel */
.disputo-page-title .container {
    background-color: rgba(255, 255, 255, 0.9);
    padding: 30px;
    border-radius: 3px;
    max-width: 1080px;
    margin: 0 auto;
}

.disputo-page-title h1 {
    font-size: 45px;
    font-weight: 800;
    line-height: 1.3em;
    text-transform: uppercase;
    padding-bottom: 0px;
    color: #003C69 !important;
    max-width: 75%;
    margin: 0.5em auto;
}

.disputo-page-title .container p {
    color: #003C69;
    font-size: 50px;
    font-weight: 300;
    margin: 0 !important;
}

/* Hero Subscribe */
.tcc-hero-btn-subscribe #subscription-toggle {
    text-align: center;
}

.tcc-hero-btn-wrapper{
    margin-bottom: 2rem;
}

.tcc-hero-btn-subscribe #subscription-toggle .bsp_button1,
body.bbpress:not(.bbp-user-page) .disputo-main-container #bbpress-forums #subscription-toggle .bsp_button1{
    font-size: 0.925rem !important;
    line-height: 1.5 !important;
    color: #003C69 !important;
    background: unset;
    background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyNCIgaGVpZ2h0PSIyNCIgdmlld0JveD0iMCAwIDI0IDI0Ij48cGF0aCBmaWxsPSIjMDAzQzY5IiBkPSJNMTUuMTM3IDMuOTQ1Yy0uNjQ0LS4zNzQtMS4wNDItMS4wNy0xLjA0LTEuODJ2LS4wMDNjMC0xLjE3Mi0uOTM5LTIuMTIyLTIuMDk3LTIuMTIycy0yLjA5Ny45NS0yLjA5NyAyLjEyMnYuMDAzYy4wMDIuNzUxLS4zOTYgMS40NDYtMS4wNCAxLjgyLTQuNjY4IDIuNzEyLTEuOTg2IDExLjcxNS02Ljg2MyAxMy4zMDZ2MS43NDloMjB2LTEuNzQ5Yy00Ljg3Ny0xLjU5MS0yLjE5NS0xMC41OTQtNi44NjMtMTMuMzA2em0tMy4xMzctMi45NDVjLjU1MiAwIDEgLjQ0OSAxIDEgMCAuNTUyLS40NDggMS0xIDFzLTEtLjQ0OC0xLTFjMC0uNTUxLjQ0OC0xIDEtMXptMyAyMGMwIDEuNTk4LTEuMzkyIDMtMi45NzEgM3MtMy4wMjktMS40MDItMy4wMjktM2g2em01LjAxNS0xMi41MjFjLS4yNDYtMS41MDQtLjkzMy0zLjY4Mi0yLjgxNy01LjUxNWwxLjM5Ni0xLjQzNGMxLjggMS43NTIgMi45NzQgNC4wNDQgMy4zOTUgNi42MjZsLTEuOTc0LjMyM3ptLTE4LjAxNS0uMzIyYy40MjEtMi41ODMgMS41OTUtNC44NzQgMy4zOTUtNi42MjdsMS4zOTYgMS40MzRjLTEuODg0IDEuODMzLTIuNTcyIDQuMDExLTIuODE3IDUuNTE1bC0xLjk3NC0uMzIyeiIvPjwvc3ZnPg==");
    background-repeat: no-repeat;
    background-size: 1rem;
    background-position: calc(100% - 0.25rem) 50%;
    background-color: transparent;
    border-bottom: 2px solid #ffb612 !important;
    outline: none !important;
    display: inline-block;
    font-weight: 700;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    padding: 0.25rem 1.75rem 0.25rem 0.25rem;
    margin-top: 0.5rem;
    border-radius: 0;
    box-shadow: none !important;
    transition: all ease-in-out 0.2s;
    cursor: pointer;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-transform: uppercase;
}

.tcc-hero-btn-subscribe #subscription-toggle .bsp_button1:hover,
body.bbpress:not(.bbp-user-page) .disputo-main-container #bbpress-forums #subscription-toggle .bsp_button1:hover {
    background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyNCIgaGVpZ2h0PSIyNCIgdmlld0JveD0iMCAwIDI0IDI0Ij48cGF0aCBmaWxsPSIjZmZiNjEyIiBkPSJNMTUuMTM3IDMuOTQ1Yy0uNjQ0LS4zNzQtMS4wNDItMS4wNy0xLjA0LTEuODJ2LS4wMDNjMC0xLjE3Mi0uOTM5LTIuMTIyLTIuMDk3LTIuMTIycy0yLjA5Ny45NS0yLjA5NyAyLjEyMnYuMDAzYy4wMDIuNzUxLS4zOTYgMS40NDYtMS4wNCAxLjgyLTQuNjY4IDIuNzEyLTEuOTg2IDExLjcxNS02Ljg2MyAxMy4zMDZ2MS43NDloMjB2LTEuNzQ5Yy00Ljg3Ny0xLjU5MS0yLjE5NS0xMC41OTQtNi44NjMtMTMuMzA2em0tMy4xMzctMi45NDVjLjU1MiAwIDEgLjQ0OSAxIDEgMCAuNTUyLS40NDggMS0xIDFzLTEtLjQ0OC0xLTFjMC0uNTUxLjQ0OC0xIDEtMXptMyAyMGMwIDEuNTk4LTEuMzkyIDMtMi45NzEgM3MtMy4wMjktMS40MDItMy4wMjktM2g2em01LjAxNS0xMi41MjFjLS4yNDYtMS41MDQtLjkzMy0zLjY4Mi0yLjgxNy01LjUxNWwxLjM5Ni0xLjQzNGMxLjggMS43NTIgMi45NzQgNC4wNDQgMy4zOTUgNi42MjZsLTEuOTc0LjMyM3ptLTE4LjAxNS0uMzIyYy40MjEtMi41ODMgMS41OTUtNC44NzQgMy4zOTUtNi42MjdsMS4zOTYgMS40MzRjLTEuODg0IDEuODMzLTIuNTcyIDQuMDExLTIuODE3IDUuNTE1bC0xLjk3NC0uMzIyeiIvPjwvc3ZnPg==");
    background-color: transparent;
}

/* Hero Suche */
#disputo-header-search {
    margin: 1rem auto 0.5rem auto !important;
}

#header-wrapper .btn:hover {
    color: #fff;
    background-color: #ffb612 !important;
    opacity: 0.9;
}

/* Scroll To Top-Button */
#scroll-top-btn {
    display: none;
    position: fixed;
    z-index: 99999;
    right: 0;
    bottom: 125px;
    padding: 12px;
    -webkit-border-top-left-radius: 5px;
    -moz-border-radius-topleft: 5px;
    border-top-left-radius: 5px;
    -webkit-border-bottom-left-radius: 5px;
    -moz-border-radius-bottomleft: 5px;
    border-bottom-left-radius: 5px;
    color: #fff;
    background: rgba(0, 0, 0, .4);
    font-size: 18px;
    line-height: 16px;
    text-decoration: none;
    cursor: pointer;
    opacity: 1;
    -webkit-animation: fadeInRight 1s 1 cubic-bezier(.77, 0, .175, 1);
    -moz-animation: fadeInRight 1s 1 cubic-bezier(.77, 0, .175, 1);
    -o-animation: fadeInRight 1s 1 cubic-bezier(.77, 0, .175, 1);
    animation: fadeInRight 1s 1 cubic-bezier(.77, 0, .175, 1);
    border: none;
}

button#scroll-top-btn:focus {
    outline: 0px;
}

/* Reduziertes Hero für Forum */
.forum .disputo-page-title.noboxed-title,
.page-template-faq .disputo-page-title.noboxed-title,
.single-topic .disputo-page-title.noboxed-title {
    padding: 0px !important;
}

.forum .disputo-page-title #disputo-header-search,
.single-topic .disputo-page-title #disputo-header-search {
    max-width: 75% !important;
    width: 75% !important;
    display: block;
}

.page-template-faq .disputo-page-title #disputo-live-search-container {
    max-width: 75% !important;
    width: 75% !important;
}

.forum .disputo-page-title .container,
.single-topic .disputo-page-title .container,
.page-template-faq .disputo-page-title #disputo-header-search {
    max-width: 100% !important;
    margin: 0 !important;
    padding: 75px 0 !important;
}

.single-topic .bbp-template-notice,
.single-forum .bbp-template-notice{
    border-left: none;
}

.single-topic .bbp-template-notice .bbp-topic-description,
.single-forum .bbp-template-notice .bbp-forum-description{
    display: none;
}

/* Ungeordnete Listen BB Antworten */
.bbp-replies li ul {
    list-style: initial;
    margin-left: 1em;
    margin-bottom: 1em;
}

.bbp-replies li ul ul {
    list-style-type: circle;
}

.bbp-replies li ul ul ul {
    list-style-type: square;
}

/* Revisions auf Themenseiten ausblenden bis auf erstes Item */
.single-topic ul.bbp-topic-revision-log .bbp-topic-revision-log-item {
    display: none;
}

.single-topic ul.bbp-topic-revision-log .bbp-topic-revision-log-item:last-child {
    display: block;
}

/* User Seite - erstes Fieldset ausblenden */
form#bbp-your-profile fieldset:first-of-type {
    display: none;
}

/* Delete Account */
.modal-backdrop {
    z-index: 1;
}

.heading-delete-account {
    color: #ff5a5f;
}

.btn-delete-account,
.delete-account-final {
    background-color: #ff5a5f;
    color: #fff !important;
}

.user-id-66 .bbp-author-role,
.user-id-66 .disputo-popover,
.user-id-66 .disputo-forum-msg-btn {
    display: none;
}

/* Pre Format - Code Format */
pre {
    background-color: #f5f5f5;
    padding: 1rem;
    font-weight: 400;
}

/* Pre Default (Not Code) */
.pre-default,
#tinymce .pre-default {
    font-family: Monospace;
    white-space: pre-wrap;
    background-color: #f5f5f5;
    padding: 1rem;
    font-weight: 400;
}

.pre-default br,
#tinymce .pre-default br {
    display: none;
}

/* Select */
.bbpress .custom-select {
    color: initial;
}

/* Login Form */
#disputo-top-bar-login-form .dropdown-menu input[type="text"],
#disputo-top-bar-login-form .dropdown-menu input[type="password"] {
    background-color: #f1f1f1;
}

/* Geschlossenes Forum */
.bbp-forums ul.type-forum:has(a[href="/freischaltung"]) li.bbp-forum-info .disputo-forum-right .bbp-forum-title {
    background: url('assets/img/lock-secondary.svg') no-repeat right center / 22px;
    padding-right: 30px;
}

.bbp-forums ul.type-forum:has(a[href="/freischaltung"]) li.bbp-forum-info .disputo-forum-right .bbp-forum-title:hover {
    background: url('assets/img/lock-primary.svg') no-repeat right center / 22px;
}

.bbp-forums ul.type-forum:has(a[href="/freischaltung"]) li.bbp-forum-freshness .disputo-freshness-right {
    background: url('assets/img/lock-primary.svg') no-repeat right center / 45px
}

.bbp-forums ul.type-forum:has(a[href="/freischaltung"]) li.bbp-forum-freshness .disputo-freshness-link a:hover {
    text-decoration: underline;
}

.bbp-forums ul.type-forum:has(a[href="/freischaltung"]) li.bbp-forum-freshness .disputo-freshness-link a:before {
    display: none;
}

/* Mobile Optimierung */
@media only screen and (max-width: 1500px) {
    .navbar-expand-lg .navbar-nav .nav-link {
        padding-right: 0.7rem;
        padding-left: 0.7rem;
        font-size: 15px;
    }

    .navbar-brand img {
        height: 20px !important;
    }

    .navbar-brand {
        line-height: 20px !important;
    }

    .home .disputo-page-title .container {
        max-width: 80%;
    }

    .forum .disputo-page-title .container,
    .page-template-faq .disputo-page-title #disputo-header-search {
        max-width: 100% !important;
        margin: 0 !important;
        padding: 50px 0 !important;
    }
}



@media only screen and (min-width: 992px) and (max-width: 1200px) {
    .navbar-expand-lg .navbar-nav .nav-link {
        padding-right: 0.55rem;
        padding-left: 0.55rem;
        font-size: 14px;
    }

    .navbar-brand img {
        height: 17px !important;
    }

    .navbar-brand {
        line-height: 17px !important;
    }

    .navbar {
        padding: 0 !important;
    }

    #disputo-top-bar-btn {
        padding: 0.75rem 0.5rem !important;
        font-size: 14px !important;
    }

    #disputo-footer-bottom .container {
        max-width: 100%;
        padding-right: 30px !important;
        padding-left: 30px !important;
    }
}

@media only screen and (min-width: 768px) and (max-width: 992px) {
    .navbar-brand img {
        height: auto !important;
    }

    .navbar-brand {
        initial !important;
    }

    #disputo-header-btns {
        margin-left: auto;
        position: relative !important;
        width: 65%;
    }

    #disputo-top-bar-btn {
        border: none;
        box-shadow: none;
    }

    #disputo-main-menu-wrapper .navbar-toggler {
        position: relative !important;
        width: 35%;
    }

    #disputo-main-menu-wrapper {
        padding: 0px !important;
        border-bottom: none;
    }

    #disputo-top-bar-login {
        width: 100%;
        background-color: #ffb612;
    }

    #disputo-main-menu-wrapper .navbar-toggler {
        width: 35%;
    }

    #disputo-footer-bottom .container {
        padding-top: 20px !important;
    }

    #disputo-main-menu-wrapper .navbar-toggler {
        z-index: 10 !important;
    }

    .disputo-social-icons {
        margin-top: 0px !important;
    }
}

@media only screen and (max-width: 768px) {

    /* Menü*/
    #disputo-main-menu-wrapper .navbar-toggler {
        position: relative !important;
        width: 35%;
        z-index: 10 !important;
    }

    #disputo-header-btns {
        position: relative !important;
        width: 65%;
        background-color: #ffb612;
    }

    #disputo-main-menu {
        top: 120px !important;
    }

    .navbar {
        padding: 0 !important;
    }

    #disputo-main-menu-wrapper>.container {
        padding-top: 0 !important;
    }

    #disputo-main-menu-wrapper {
        border-bottom: 0px !important;
    }

    .navbar-brand {
        line-height: 0 !important;
    }

    #disputo-top-bar-btn {
        padding: 0 20px 0 0 !important;
    }

    #disputo-top-bar-login {
        width: 100%;
    }

    .navbar-brand img {
        height: auto !important;
        max-width: 70%;
    }

    /* H1 */
    .disputo-page-title h1 {
        font-size: 1.6rem !important;
        max-width: 90%;
    }

    /* Antworten, Neues Thema, Login */
    .bbp-topic-form,
    .bbp-reply-form,
    .bbp-login-form {
        padding: 10% 5%;
    }

    /* FAQ */
    .disputo-faq-right .disputo-live-search-icon {
        line-height: 1.3 !important;
    }

    /* Footer */
    .footer-links ul {
        flex-direction: column;
    }

    #disputo-footer-bottom .container {
        padding-top: 20px !important;
    }

    .disputo-social-icons {
        margin-top: 0px !important;
    }

    /* Container */
    header .container {
        max-width: unset !important;
        padding: 0 !important;
    }

    /* Startseite */
    .home .disputo-page-title .container p {
        font-size: 30px;
        line-height: 1.2;
    }

    .home .disputo-page-title .container {
        max-width: 86%;
    }

    .home .disputo-page-title h1 {
        font-size: 32px !important;
        margin-bottom: 10px !important;
    }

    /* Nav-Layout */
    #disputo-main-menu-wrapper {
        padding-left: 0px !important;
        padding-right: 0px !important;
    }

    #disputo-header-btns {
        margin-left: auto;
    }

    #disputo-top-bar-btn {
        border: none;
        box-shadow: none;
    }

    /* Header */
    .disputo-page-title .container {
        max-width: 92% !important;
        padding: 20px 15px !important;
    }

    input.form-control.disputo-live-search-box {
        font-size: 14px !important;
    }

    input.form-control.disputo-live-search-box::placeholder {
        font-size: 12px;
    }

    .forum .disputo-page-title #disputo-header-search,
    .single-topic .disputo-page-title #disputo-header-search {
        max-width: 90% !important;
        width: 90% !important;
    }

    .page-template-faq .disputo-page-title #disputo-live-search-container {
        max-width: 90% !important;
        width: 90% !important;
    }

    .disputo-page-title .container p {
        font-size: 25px;
    }
}